package com.bonus.canteen.core.menu.mapper;

import java.util.List;

import com.bonus.canteen.core.menu.domain.MenuMaterial;
import com.bonus.canteen.core.menu.dto.MenuMaterialNutritionDTO;

/**
 * 商家食材原料信息Mapper接口
 *
 * @author xsheng
 * @date 2025-04-03
 */
public interface MenuMaterialMapper {
    /**
     * 查询商家食材原料信息
     *
     * @param id 商家食材原料信息主键
     * @return 商家食材原料信息
     */
    public MenuMaterial selectMenuMaterialById(Long id);

    public MenuMaterial selectMenuMaterialMaterialId(Long id);

    /**
     * 查询商家食材原料信息列表
     *
     * @param menuMaterial 商家食材原料信息
     * @return 商家食材原料信息集合
     */
    public List<MenuMaterial> selectMenuMaterialList(MenuMaterial menuMaterial);

    /**
     * 新增商家食材原料信息
     *
     * @param menuMaterial 商家食材原料信息
     * @return 结果
     */
    public int insertMenuMaterial(MenuMaterial menuMaterial);

    /**
     * 修改商家食材原料信息
     *
     * @param menuMaterial 商家食材原料信息
     * @return 结果
     */
    public int updateMenuMaterial(MenuMaterial menuMaterial);

    /**
     * 删除商家食材原料信息
     *
     * @param id 商家食材原料信息主键
     * @return 结果
     */
    public int deleteMenuMaterialById(Long id);

    /**
     * 批量删除商家食材原料信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMenuMaterialByIds(Integer[] ids);

    int getLastId();

    MenuMaterial getOne(MenuMaterial menuMaterial);

}
